<?php
/*
 *	$Id: lib.php ,v 1.09 2001/04/10 23:48:00 trent Exp $
 *
 *	(c)2001, Copyright, V6.RU
 */

/**
 *	@author trent <trent@v6.ru>
 *	@version 1.0
 */

/**
 *	validUrl check url
 *	@param $url
 *	@return true/false
 */
	function validUrl ($url)
	{
		return (!ereg('^http://',$url));
	}

/**
 *	validEmail check e-mail
 * 	@param $email
 *	@return true/false
 */
	function validEmail($email)
	{
		return (ereg('^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+'.'@'.'[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.'.'[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$',$adr));
	}

/**
 *	transformHtml transform html in unicode
 *	@param String $content
 *	@return String $content
 */
	function translateHtml($content)
	{
		$content = preg_replace("/(\<a href=\\\\\")(.*)(\\\\\">)(.*)(\<\/a\>)/U","\[a href=\\2\]\\4\[/a\]", $content);
		$content = preg_replace("/(\<b\>)(.*)(\<\/b\>)/U","[b]\\2[/b]", $content);
		$content = preg_replace("/(\<i\>)(.*)(\<\/i\>)/U","[i]\\2[/i]", $content);		
//		$content = htmlentities($content);
		$content = htmlspecialchars($content);
		$content = nl2br($content);
		$content = ereg_replace("\n","",$content);
		$content = ereg_replace("\(","&#040;",$content);
		$content = ereg_replace("\)","&#041;",$content);
		$content = ereg_replace("\\$","&#036;",$content);
		$content = stripslashes($content);
		$content = preg_replace("/(\[a href=)(.*)(\])(.*)(\[\/a\])/U","<a href=\\2>\\4</a>", $content);
		$content = preg_replace("/(\[b\])(.*)(\[\/b\])/U","<b>\\2</b>", $content);
		$content = preg_replace("/(\[i\])(.*)(\[\/i\])/U","<i>\\2</i>", $content);
		return $content;
	}

/**
 *	divideWord checks length of words and divides long for length in param
 *	@param String $content
 *	@param int $maxWordLength by default 30
 *	@return String $content
 */
	function divideWord($content,$maxWordLength = "30")
	{
		$contentArray = explode(" ",$content);
		for ($i = 0; $i < sizeof($contentArray); $i++)
		{
			$wordLength = strlen($contentArray[$i]);
			if ($wordLength < $maxWordLength)
			{
					$newContentArray[] = $contentArray[$i];
			}
			else
			{
				$z = 0;
				$newWordLength = $wordLength;
				while($newWordLength > 0)
				{
					$newArray[$z] = substr ($contentArray[$i], $maxWordLength*$z, $maxWordLength);
					$newWordLength = $newWordLength - $maxWordLength;
					$z++;
				}
				for ($y=0;$y<sizeof($newArray);$y++)
					$newContentArray[] = $newArray[$y];
			}
		}
		for ($c = 0; $c < sizeof($newContentArray); $c++)
			$contentString .= $newContentArray[$c]." ";
		return $contentString;
	}

	function check()
	{
		global $version;
		if ($version)
		{
			$str = "118 101 114 115 105 48 110 32 49 46 48 57";
			$str = explode(" ",$str);
			for ($i = 0; $i < sizeof($str); $i++)
				$newstr .= chr($str[$i]);
			return $newstr;
		}
	}

/**
 *	writeDataInFile writes the data in a file
 *	@param String $fileData
 *	@param String $fileName default by 'data.inc'
 */
	function writeDataInFile($fileData,$fileName = "data.inc")
	{
		if(!file_exists($fileName))
		{
			$createFile = fopen($fileName, "w");
			fwrite ($createFile,"",0);
			@chmod($fileName, 0664);
			fclose($createFile);
		}
		$openFile = fopen($fileName,"r");
			$oldData = fread($openFile, filesize ($fileName));
		fclose($openFile);
		$openFile = fopen($fileName,"w+");
			fwrite($openFile,$fileData);
			fwrite($openFile,$oldData);
		fclose($openFile);
	}

/**
 *	reWriteDataInFile rewrites the data in a file
 *	@param String $fileData
 *	@param String $fileName default by 'data.inc'
 */
	function reWriteDataInFile($fileData,$fileName = "data.inc")
	{
		if(!file_exists($fileName))
		{
			$createFile = fopen($fileName, "w");
			fwrite ($createFile,"",0);
			@chmod($fileName, 0664);
			fclose($createFile);
		}
		$openFile = fopen($fileName,"w+");
			fwrite($openFile,$fileData);
		fclose($openFile);
	}

/**
 *	readDataFromFile read the data from a file
 *	@param String $fileName default by 'data.inc'
 */
	function readDataFromFile($fileName = "data.inc")
	{
		if(!file_exists($fileName))
		{
			$createFile = fopen($fileName, "w");
				fwrite ($createFile,"",0);
				@chmod($fileName, 0664);
			fclose($createFile);
		}
		$openFile = fopen($fileName,"r");
			$unformatedContent = fread($openFile, filesize($fileName));
		fclose($openFile);
		return $unformatedContent;
	}

/**
 *	outputPageContent output content in relation to of number page
 *	@param String $content
 *	@param int $messageToPage default by '10'
 *	@return String part Contents for current page
 */
	function outputPageContent($content,$messageToPage = "10")
	{
		global $page,$quantityPages;
		$contentArray = explode("<!--resetline-->",$content);
		$quantityMessages = sizeof($contentArray)-1;
		@$quantityPages = ceil($quantityMessages/$messageToPage);
		for($i = $messageToPage*($page-1);$i < $messageToPage*($page-1)+$messageToPage;$i++)
		{
			 $contentString .= $contentArray[$i]."xxxxx";
		}
		return $contentString;
	}

/**
 *	numberOfPages output all number of page
 *	@param String $decriptor default by 'page: '
 *	@return String linked numbers
 */
	function numberOfPages($pageSource,$decriptor = "page: ")
	{
		global $quantityPages,$page;
		if ($quantityPages >= 2)
		{
			$pageNumberString = $decriptor;
			for ($i = 1; $i <= $quantityPages; $i++)
			{
				if ($i == $page)
				{
					$pageNumberString .= "$i ";
				}
				else
				{
					$pageNumberString .= "<a href=".$pageSource."?page=$i>$i</a> ";
				}
			}
			return $pageNumberString;
		}
		else
			return $pageNumberString = null;
	}

/**
 *	outputFormatedContent output formated content
 */
	function outputFormatedContent($content)
	{
		$formatedContent = explode("xxxxx",$content);
		return $formatedContent;
	}

/**
 *	checkBadWord check in message bad word
 *	@param String $decriptor default by 'data.inc'
 *	@return String linked numbers
 */
	function checkBadWord($content)
	{
		//todo id next version
	}

?>